- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Web_Frame_Load_Error Struct Reference

Structure used to report load errors. More...

## Data Fields
int | code
| Numeric error code.
Eina_Bool | is_cancellation
| Error produced by canceling a request.
const char * | domain
| Error domain name.
const char * | description
| Error description (already localized)
const char * | failing_url
| The URL that failed to load.
Evas_Object * | frame
| Frame object that produced the error.

## Detailed Description

Structure used to report load errors.

Load errors are reported as signal by elm_web. All the strings are temporary references and should not be used after the signal callback returns. If it's required, make copies with strdup() or eina_stringshare_add() (they are not even guaranteed to be stringshared, so must use eina_stringshare_add() and not eina_stringshare_ref()).

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15